Skip to content

WdFee⁠

Perform various operations for Symitar parameters.

Operations⁠

getWdFeeSelectFields⁠

POST

Execute the persistent ParameterService getWdFeeSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

WdFeeWithdrawalFeeTypeintegeroptional
Path Parameters
symstringrequired
Sym number
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/getWdFeeSelectFields
POST /nexum/627/persistent/parameter/getWdFeeSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "WdFeeWithdrawalFeeType": 0,
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "SelectableFields": {
    "IncludeAllWdFeeFields": true,
    "WdFeeFields": {
      "FeeDescription": true,
      "FeeGlCode": true,
      "RelCodeList": [
        0
      ],
      "RelationFeeAmount": [
        0
      ],
      "RelationSourceCodeList": [
        0
      ],
      "RelationWithdrawalLimit": [
        0
      ],
      "WithdrawalFeeType": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getWdFeePagedListSelectFields⁠

POST

Execute the persistent ParameterService getWdFeePagedListSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
Tokenstringoptional
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/getWdFeePagedListSelectFields
POST /nexum/627/persistent/parameter/getWdFeePagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllWdFeeFields": true,
    "WdFeeFields": {
      "FeeDescription": true,
      "FeeGlCode": true,
      "RelCodeList": [
        0
      ],
      "RelationFeeAmount": [
        0
      ],
      "RelationSourceCodeList": [
        0
      ],
      "RelationWithdrawalLimit": [
        0
      ],
      "WithdrawalFeeType": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

searchWdFeePagedSelectFields⁠

POST

Execute the persistent ParameterService searchWdFeePagedSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
Tokenstringoptional
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/searchWdFeePagedSelectFields
POST /nexum/627/persistent/parameter/searchWdFeePagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllWdFeeFields": true,
    "WdFeeFields": {
      "FeeDescription": true,
      "FeeGlCode": true,
      "RelCodeList": [
        0
      ],
      "RelationFeeAmount": [
        0
      ],
      "RelationSourceCodeList": [
        0
      ],
      "RelationWithdrawalLimit": [
        0
      ],
      "WithdrawalFeeType": true
    }
  },
  "SearchFilter": {
    "Query": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}

updateWdFeeByID⁠

POST

Execute the persistent ParameterService updateWdFeeByID operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

WdFeeWithdrawalFeeTypeintegeroptional
Path Parameters
symstringrequired
Sym number
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/updateWdFeeByID
POST /nexum/627/persistent/parameter/updateWdFeeByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "WdFeeWithdrawalFeeType": 0,
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "WdFeeFields": {
    "FeeDescription": "string",
    "FeeGlCode": 0,
    "RelCodeList": [
      {
        "EntryId": 0,
        "RelCodeList": {
          "Bit": [
            0
          ]
        }
      }
    ],
    "RelationFeeAmount": [
      {
        "EntryId": 0,
        "RelationFeeAmount": 0
      }
    ],
    "RelationSourceCodeList": [
      {
        "EntryId": 0,
        "RelationSourceCodeList": "string"
      }
    ],
    "RelationWithdrawalLimit": [
      {
        "EntryId": 0,
        "RelationWithdrawalLimit": 0
      }
    ],
    "WithdrawalFeeType": 0
  },
  "nxAttributes": {
    "customFields": {}
  }
}